Retrieve payouts claimed by user (by id)
GET/api/users/by-id/:id/payouts
Retrieve a list of payouts claimed by a user.
Request
Path Parameters
Responses
- 200
- 401
- 403
- 404
- 500
List of payouts claimed by user.
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
Id of the payout
Date the reward was claimed
A reference id to display to the user for communicating with admins
A link which will take the user to the payout system
rewards
object[]
List of rewards tied to the payout
Id of the reward
Possible values: [Pending, Confirmed, Declined, Claimed, All]
Status of the reward
Possible values: [MileageCheckIn, ConditionCheckIn, GaragingCheckIn, LowMileageBonus, Custom, SurveyCompleted]
Type of the reward
Description of the reward
Id of the vehicle (if the reward is tied to an action on the vehicle like a Mileage Check-in
Id of the payout (if the reward has been claimed.
Date on which reward was created
buyer
object
Buyer of the reward
Id of the buyer
Name of the buyer
Logo of the buyer
Small Logo of the buyer
Description of buyer
Short description of the buyer
Description shown on the earnings tab of the buyer
App download link
Website link
Shop now link
Featured
Hero Image
Photo1
Photo2
Photo3
Description
Image
BgColor of the shop
Title of the shop
[
{
"id": "string",
"dateClaimed": "string",
"paymentReferenceId": "string",
"paymentReferenceLink": "string",
"rewards": [
{
"id": "string",
"status": "Pending",
"type": "MileageCheckIn",
"description": "string",
"vehicleId": "string",
"payoutId": "string",
"dateRewarded": "string",
"buyer": {
"id": "string",
"name": "string",
"logo": "string",
"listLogo": "string",
"description": "string",
"shortDescription": "string",
"earningsDescription": "string",
"appDownloadLink": "string",
"websiteLink": "string",
"shopNowLink": "string",
"featured": true,
"featuredHeroImage": "string",
"marketplacePhoto1": "string",
"marketplacePhoto2": "string",
"marketplacePhoto3": "string",
"marketplaceDescription": "string",
"featuredImage": "string",
"featuredBgColor": "string",
"featuredTitle": "string"
},
"amount": 0
}
],
"amount": 0
}
]
Authorization error e.g. due to an invalid or missing API keys.
Forbidden. Possible error codes
-
ERROR_NO_PERMISSIONS_TO_RESOURCE
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
User not found. Possible error codes
-
ERROR_USER_NOT_FOUND
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Internal error. Possible error codes
-
INTERNAL_SERVER_ERROR
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}